SDL_KeyboardDeviceEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_KeyboardID | which

## Detailed Description

Keyboard device event structure (event.kdevice.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 329 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_KeyboardDeviceEvent::reserved

Definition at line 332 of file SDL_events.h.

## timestamp

Uint64 SDL_KeyboardDeviceEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 333 of file SDL_events.h.

## type

SDL_EventType SDL_KeyboardDeviceEvent::type

SDL_EVENT_KEYBOARD_ADDED or SDL_EVENT_KEYBOARD_REMOVED

Definition at line 331 of file SDL_events.h.

## which

SDL_KeyboardID SDL_KeyboardDeviceEvent::which

The keyboard instance id

Definition at line 334 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h